Subject: Re: patch: Action repeat

From: jamal <[email-masked]>
Date: Sat, 30 Apr 2005 18:34:45 -0400

On Sat, 2005-30-04 at 23:55 +0200, Thomas Graf wrote:
> 
> Right, although I would define local as per device on either ingress
> or egress. What I'm looking for in particular is a way to transfer
> classification decisions from one device to another. A common case
> for this is if a packet enters the packet, gets encapsulated and
> leaves the host in some kind of tunnel. It's pretty hard to do
> classification on the tunnel device so you want to do it before
> the encapsulation and copy the result over to the tunnel. We can
> use nfmark for this but i'd rather have a well defined variable
> for this.

Perhaps we can reuse classid by flagging somewhere? 
A good place to do it is tc_verdict. There a few bits still left.
We could set a bit to say the meaning of classid to be global vs local.

cheers,
jamal